@import '../../style/miam.scss';



.miam-replace-item {
  display: flex;
  padding-bottom: 10px;

  .miam-replace-item__selected {
    display: flex;
    align-items: center;
    width: 330px;
    margin-top: 10px;
    border-radius: 16px;
    border: 1px solid var(--m-color-grey-text-dark);

    .miam-replace-item__selected__picture {
      height: 70px;
      margin: 8px;
    }

    .miam-replace-item__selected__column {
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      background-color:  #fff;
      width: 100%;
      padding: 10px;
    }
  }

  .miam-replace-item__choices {
    width: calc(100% - 340px);
    position: relative;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    

    /* Custom scrollbar */
    ::-webkit-scrollbar {
      width: 5px;
      height: 7px;
      cursor: -webkit-grab;
    }
    /* Track */
    ::-webkit-scrollbar-track {
      background: var(--m-color-grey);
    }
    /* Handle */
    ::-webkit-scrollbar-thumb {
      background: var(--m-color-primary);
      border-radius: 5px;
    }

    
  
    .miam-replace-item__choices__action {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      top: 0px;
      margin-bottom: 4px;
  
      div {
        font-weight: 700;
        font-size: 16px;
      }

      .miam-replace-item__choices__close {
        border: none;
        padding: 0px;
      }
    }
  
    .miam-replace-item__choices__list {
      overflow-x: auto;
      white-space: nowrap;
      margin-right: 10px;
      padding-bottom: 5px;
  
      .miam-replace-item__choice {
        width: 32rem;
        margin: 5px;
        display: inline-flex;
        justify-content: space-between;
        flex-direction: row;
        background-color: var(--m-color-grey);
        border-radius: var( --m-border-radius);
        cursor: pointer;

        .miam-replace-item__choice__column {
          display: inline-flex;
          flex-direction: column;
          justify-content: space-around;
          align-items: flex-end;
          margin: 10px;

          .miam-replace-item__choice__content {
            flex: 1;
          }

          img {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: var(--m-border-radius);
          }
        }
  
        .miam-replace-item__choice__swap {
          border-radius: 16px;
          height: 32px;
          margin-left: 5px;
          padding: 2px;
          transition: var( --m-default-transition);
          border: solid 1px var(--m-color-secondary);
          background-color: var(--m-color-secondary);

          .icon-container svg {
            fill: var(--m-color-white);
          }
        }
  
        &:hover {
          background-color: var(--m-color-secondary-light);
  
          .miam-replace-item__choice__swap {
            color: var(--m-color-secondary);
            background-color:  #fff;
            transform: scale(1.1);

            .icon-container svg {
              fill: var(--m-color-secondary);
            }
          }
        }
      }
    }
  }

  .miam-replace-item__title {
    font-size: 16px;
    display: inline-block;
    white-space: normal;
    font-weight: 700;
  }
  .miam-replace-item__title:first-letter {
    text-transform: capitalize;
  }
  
  .miam-replace-item__description {
    font-size: 14px;
    white-space: normal;
  }
  
  .miam-replace-item__price {
    font-weight: 700;
    font-size: 20px;
    text-align: right;
  }
}
